public class TesteMediador {
	public static void main(String[] args) {
		
		Leitor leitor1 = new Leitor("leitor_1");
		Leitor leitor2 = new Leitor("leitor_2");
		Leitor leitor3 = new Leitor("leitor_3");
		
		Gravador gravador1 = new Gravador("gravador_1");
		Gravador gravador2 = new Gravador("gravador_2");
		
		gravador1.executar("Texto gravado pelo G1");
		gravador2.executar("Texto gravado pelo G2");
	}
}
